g=3
bdim=3
for seed in 4240 1136 8204 6264 8634 1646 3199 6735 3933 1470
do
    for rnn in lstm gru o2rnn mirnn
    do
        for mdim in 1 2 3 4 5
        do  
            sdim=$((bdim*mdim))
            echo "==================================================================================="
            echo "=  seed : ${seed}  model : ${rnn}  grammar : ${g}  sdim : ${sdim}"
            echo "==================================================================================="
            CUDA_VISIBLE_DEVICES=0 python rnn2dfa_lstar.py \
                --suffix "dyck_${rnn}_g${g}_sdim_${sdim}" \
                --seed $seed \
                --state_dim $sdim \
                --load_model "../models/dfa_stability_rnn_${rnn}_dyck_${g}_sdim_${sdim}_bce_seed_${seed}/best.pth" \
                --model "rnn" \
                --rnn_cell $rnn \
                --hinit 1 \
                --mtype "classification" \
                --dropout 0 \
                --nlayers 1 \
                --dataset "dyck_${g}_50" \
                --grammar "dyck-${g}" \
                --batch_size 4000 \
                --remove_start \
                --remove_end \
                --shuffle_data
        done
    done
done
